import 'package:ambito/src/entity/entities.dart';
import 'package:isar/isar.dart';
import 'package:json_annotation/json_annotation.dart';

part 'measure_combination.g.dart';

@collection
@JsonSerializable(explicitToJson: true)
class MeasureCombination extends BaseEntity with EntityWithIdAndName {
  MeasureCombination();

  @JsonKey(name: 'Maßnahmenkombination')
  List<IdValue>? combinations;
  @JsonKey(name: 'Anmerkungen')
  String? notices;

  factory MeasureCombination.fromJson(Map<String, dynamic> json) =>
      _$MeasureCombinationFromJson(json);

  Map<String, dynamic> toJson() => _$MeasureCombinationToJson(this);
}
